/* leaderboards.css */

.event-content .leaderboard-table td {
  padding: 8px 10px;
  border-top: 2px solid rgba(255,255,255,0.08);
  border-bottom: 2px solid rgba(255,255,255,0.08);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.event-content .leaderboard-table td {
  border-right: 2px solid rgba(255,255,255,0.08);
  border-left: 2px solid rgba(255,255,255,0.08);
}

.event-content .leaderboard-table {
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
  border-collapse: collapse;
  table-layout: fixed;
  margin-top: 20px;
}

.event-content .leaderboard-table a {
  color: var(--primary);
  text-decoration: none;
}

.event-content .leaderboard-table a:hover {
  color: #4781ba;
}

.event-content .leaderboard-controls select:hover {
  background-color: #080631;
}

.event-content .leaderboard-controls select {
  padding: 8px 12px;
  min-height: 20px;
  font-size: 1rem;
  background-color: #060425;
  color: #ffffff;
  border: 2px solid #262b7a;
  border-radius: 6px;
  cursor: pointer;
}

.event-content .leaderboard-controls-container h4 {
  text-align: center;
}

.event-content .leaderboard-table-wrapper {
  overflow-x: auto;
}

.event-content .leaderboard-table .rank-column {
  width: 13%;
  text-align: center;
}

.event-content .leaderboard-table .player-column {
  width: 56%;
}

.event-content .leaderboard-table .value-column {
  width: 31%;
  text-align: left;
  font-variant-numeric: tabular-nums;
}


@media (max-width: 768px) {
  .event-content .leaderboard-table {
    width: 300px;
    min-width: 300px;
  }

  .event-content .leaderboard-table .rank-column {
    width: 13%;
    text-align: center;
  }

  .event-content .leaderboard-table .player-column {
    width: 56%;
  }

  .event-content .leaderboard-table .value-column {
    width: 31%;
    text-align: left;
    font-variant-numeric: tabular-nums;
  }

}
